const cors = require('cors');
const express = require('express');
const AuthMiddleware = require('./Auth');

const limit = '50mb';

class App {
  register(server) {
    server.use(cors());
    server.use(express.json({ limit }));;
    server.use(express.urlencoded({ extended: false, limit }));

    AuthMiddleware.register(server);
  }
}

module.exports = new App();