const TipoCodigo = require('./TipoCodigoModule');
const GeraNovoCodigo = require('../functions/GeraNovoCodigo');

class NovoCodigoModule {

  right(num, size) {
    return num.substring(num.length-size);
  }

  async prxUpdaterEvento() {
    const contador = TipoCodigo['tcUpdaterEvento'];
    const result = await GeraNovoCodigo(contador, 1, 1);
    return this.right(result.outBinds.P_SEQUENCIAL, 16);
  }

  async prxUpdaterEventoCx() {
    const contador = TipoCodigo['tcUpdaterEventoCx'];
    const result = await GeraNovoCodigo(contador, 1, 1);

    return this.right(result.outBinds.P_SEQUENCIAL, 16);
  }

  async prxUpdaterHistorico() {
    const contador = TipoCodigo['tcUpdaterHistorico'];
    const result = await GeraNovoCodigo(contador, 1, 1);

    return this.right(result.outBinds.P_SEQUENCIAL, 16);
  }

  async prxUpdaterHistoricoCx() {
    const contador = TipoCodigo['tcUpdaterHistoricoCx'];
    const result = await GeraNovoCodigo(contador, 1, 1);

    return this.right(result.outBinds.P_SEQUENCIAL, 16);
  }

}

module.exports = new NovoCodigoModule();
