const path = require('path');
const express = require('express');
const srcPath = path.dirname(process.argv[1]);
const frontPath = path.join(srcPath, '..', 'frontend', 'dist');
const pathStaticFiles = path.resolve(frontPath);

class Frontend {
  register(server) {
    server.use(express.static(pathStaticFiles));
    server.use('*', express.static(pathStaticFiles));
  }
}

module.exports = new Frontend();